#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	CORS support for aiohttp
Summary(pl.UTF-8):	Obsługa CORS dla aiohttp
Name:		python3-aiohttp_cors
Version:	0.8.1
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/aiohttp_cors/
Source0:	https://files.pythonhosted.org/packages/source/a/aiohttp_cors/aiohttp_cors-%{version}.tar.gz
# Source0-md5:	bef1294f1ab08844eb35a56c7157026d
URL:		https://pypi.org/project/aiohttp_cors/
BuildRequires:	python3-modules >= 1:3.4.1
BuildRequires:	python3-setuptools >= 1:20.8.1
%if %{with tests}
BuildRequires:	python3-aiohttp >= 1.1
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-selenium
%if "%{py3_ver}" == "3.4"
BuildRequires:	python3-typing
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.4.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
aiohttp_cors library implements CORS (Cross Origin Resource Sharing)
support for aiohttp asyncio-powered asynchronous HTTP server.

%description -l pl.UTF-8
Biblioteka aiohttp_cors implementuje obsługę CORS (Cross Origin
Resource Sharing - współdzielenie zasobów z innych źródeł) dla
asynchronicznego serwera HTTP aiohttp, opartego na asyncio.

%prep
%setup -q -n aiohttp_cors-%{version}

%build
%py3_build

%if %{with tests}
# disabled tests don't match current aiohttp error reporting (3.7.x)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="aiohttp.pytest_plugin,pytest_cov.plugin" \
%{__python3} -m pytest tests -k 'not (test_add_options_route or test_static_resource)'
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst README.rst
%{py3_sitescriptdir}/aiohttp_cors
%{py3_sitescriptdir}/aiohttp_cors-%{version}-py*.egg-info
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-aiohttp_cors.git;a=log;h=master

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 04efe8e
- Up to 0.8.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> a5366e1
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 2b39aef
- python 3.13 rebuild

* Tue Oct 25 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ccf703
- updated python version condition

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 984205b
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 2343346
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 6f2dcca
- setuptools epoch

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> f165318
- release 2 (by relup.sh)

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> c35ad81
- new

